> ## Documentation Index
> Fetch the complete documentation index at: https://meetbit.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Event

> Required permissions: `events.delete.*`




## OpenAPI

````yaml openapi.yaml post /calendars/{calendar_id}/events/{event_id}/cancel
openapi: 3.0.3
info:
  title: MeetBit Public API
  version: '2.0'
servers:
  - url: https://{primary_domain}/api/public/v2.0
    variables:
      primary_domain:
        default: example.com
        description: Your tenant's primary
security:
  - AccessKeyId: []
    AccessKeySecret: []
paths:
  /calendars/{calendar_id}/events/{event_id}/cancel:
    post:
      tags:
        - Events
      summary: Cancel Event
      description: |
        Required permissions: `events.delete.*`
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - cancel_note
              properties:
                cancel_note:
                  type: string
                  maxLength: 255
      responses:
        '200':
          $ref: '#/components/responses/EventResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedErrorResponse'
        '404':
          $ref: '#/components/responses/ResourceObjectDoesNotExistErrorResponse'
        '429':
          $ref: '#/components/responses/RateLimitedErrorResponse'
        '500':
          $ref: '#/components/responses/UnexpectedErrorResponse'
components:
  responses:
    EventResponse:
      description: ''
      content:
        application/json:
          schema:
            required:
              - message
              - data
            properties:
              message:
                type: string
              data:
                $ref: '#/components/schemas/Event'
                description: An Event resource object.
    UnauthorizedErrorResponse:
      description: Client does not have the appropriate permissions.
      content:
        text/plain:
          schema:
            anyOf:
              - $ref: '#/components/schemas/UnauthenticatedError'
              - $ref: '#/components/schemas/UnauthorizedError'
    ResourceObjectDoesNotExistErrorResponse:
      description: Resource object does not exist.
      content:
        text/plain:
          schema:
            $ref: '#/components/schemas/ResourceObjectDoesNotExistError'
    RateLimitedErrorResponse:
      description: Too many requests have been made.
      headers:
        Retry-After:
          schema:
            type: integer
            description: Number of seconds to wait before making another request.
      content:
        text/plain:
          schema:
            $ref: '#/components/schemas/RateLimitedError'
    UnexpectedErrorResponse:
      description: An unexpected error occurred.
      content:
        text/plain:
          schema:
            $ref: '#/components/schemas/ServerError'
  schemas:
    Event:
      type: object
      required:
        - id
        - title
        - start
        - end
        - attendees
        - calendar_id
      properties:
        id:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        calendar_id:
          type: integer
          nullable: false
          format: int64
          readOnly: true
        title:
          type: string
          nullable: false
          maxLength: 255
          readOnly: false
        body:
          type: string
          maxLength: 1000
          nullable: true
          readOnly: false
        start:
          type: string
          format: date-time
          nullable: false
          readOnly: false
        end:
          type: string
          format: date-time
          nullable: false
          readOnly: false
        attendees:
          type: array
          items:
            $ref: '#/components/schemas/EventAttendee'
        location:
          type: string
          maxLength: 255
          nullable: true
          readOnly: false
        cancel_note:
          type: string
          maxLength: 255
          nullable: true
          readOnly: true
        canceled_by_id:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        canceled_by_type:
          $ref: '#/components/schemas/EventCanceledByType'
          nullable: false
          readOnly: true
        created_at:
          type: string
          format: date-time
          nullable: false
          readOnly: true
        updated_at:
          type: string
          format: date-time
          nullable: false
          readOnly: true
        deleted_at:
          type: string
          format: date-time
          nullable: false
          readOnly: true
        public_id:
          type: string
          nullable: true
          readOnly: true
        provider_event_id:
          type: string
          nullable: true
          readOnly: true
        customer_id:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        meeting_link_id:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        online_conference:
          allOf:
            - $ref: '#/components/schemas/OnlineConference'
          nullable: true
          readOnly: true
    UnauthenticatedError:
      type: string
      example: Invalid or missing access key.
    UnauthorizedError:
      type: string
      example: Access denied.
    ResourceObjectDoesNotExistError:
      type: string
      example: Resource object does not exist.
    RateLimitedError:
      type: string
      example: Too many requests.
    ServerError:
      type: string
      example: An unexpected error occurred.
    EventAttendee:
      type: object
      required:
        - email
        - name
        - status
        - is_organizer
        - customer_id
        - calendar_id
      properties:
        email:
          type: string
          format: email
          maxLength: 255
          nullable: false
          readOnly: false
        name:
          type: string
          maxLength: 255
          nullable: true
          readOnly: false
        status:
          allOf:
            - $ref: '#/components/schemas/EventAttendeeStatus'
          nullable: false
          readOnly: true
        is_organizer:
          type: boolean
          nullable: false
          readOnly: true
        customer_id:
          type: integer
          format: int64
          nullable: true
          readOnly: true
        calendar_id:
          type: integer
          format: int64
          nullable: true
          readOnly: true
    EventCanceledByType:
      type: string
      enum:
        - App\Models\Tenant\User
        - App\Models\Tenant\Customer
        - App\Models\Tenant\Client
    OnlineConference:
      type: object
      required:
        - id
        - online_conference_account_id
        - public_id
        - title
        - is_public
        - created_at
        - updated_at
        - deleted_at
      properties:
        id:
          type: integer
          nullable: false
          format: int64
          readOnly: true
        online_conference_account_id:
          type: integer
          nullable: false
          format: int64
          readOnly: false
        backer_event_id:
          type: integer
          nullable: true
          format: int64
          readOnly: false
        public_id:
          type: string
          nullable: false
          pattern: /^[a-zA-Z0-9-_]+$/
          readOnly: false
        title:
          type: string
          nullable: false
          maxLength: 255
          readOnly: false
        is_public:
          type: boolean
          nullable: false
          readOnly: false
        is_occurred:
          type: boolean
          nullable: false
          readOnly: true
        started_at:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        ended_at:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        deleted_at:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        created_at:
          type: string
          format: date-time
          nullable: false
          readOnly: true
        updated_at:
          type: string
          format: date-time
          nullable: false
          readOnly: true
    EventAttendeeStatus:
      type: integer
      enum:
        - 0
        - 1
        - 2
        - 3
      description: |
        *`0` - NoResponse *`1` - Confirmed *`2` - NotGoing *`3` - Maybe
  securitySchemes:
    AccessKeyId:
      type: apiKey
      name: X-Access-Key-Id
      in: header
    AccessKeySecret:
      type: apiKey
      name: X-Access-Key-Secret
      in: header

````